ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.33 by pcg, Thu Mar 29 17:35:20 2007 UTC vs.
Revision 1.39 by pcg, Mon Jan 28 12:00:13 2008 UTC

2223fi 2223fi
2224 2224
2225 2225
2226# Define the identity of the package. 2226# Define the identity of the package.
2227 PACKAGE=gvpe 2227 PACKAGE=gvpe
2228 VERSION=2.01 2228 VERSION=2.2
2229 2229
2230 2230
2231cat >>confdefs.h <<_ACEOF 2231cat >>confdefs.h <<_ACEOF
2232#define PACKAGE "$PACKAGE" 2232#define PACKAGE "$PACKAGE"
2233_ACEOF 2233_ACEOF
7675done 7675done
7676 7676
7677 7677
7678 7678
7679 7679
7680
7680for ac_header in ext/hash_map clocale 7681for ac_header in tr1/unordered_map ext/hash_map clocale
7681do 7682do
7682as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7683as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7683if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 7684if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
7684 { echo "$as_me:$LINENO: checking for $ac_header" >&5 7685 { echo "$as_me:$LINENO: checking for $ac_header" >&5
7685echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 7686echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9546 9547
9547fi 9548fi
9548 9549
9549 9550
9550fi 9551fi
9552
9553
9554
9555
9556
9557
9558
9559
9560
9561
9562for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
9563do
9564as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9565if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9566 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9567echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9568if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9569 echo $ECHO_N "(cached) $ECHO_C" >&6
9570fi
9571ac_res=`eval echo '${'$as_ac_Header'}'`
9572 { echo "$as_me:$LINENO: result: $ac_res" >&5
9573echo "${ECHO_T}$ac_res" >&6; }
9574else
9575 # Is the header compilable?
9576{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
9577echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
9578cat >conftest.$ac_ext <<_ACEOF
9579/* confdefs.h. */
9580_ACEOF
9581cat confdefs.h >>conftest.$ac_ext
9582cat >>conftest.$ac_ext <<_ACEOF
9583/* end confdefs.h. */
9584$ac_includes_default
9585#include <$ac_header>
9586_ACEOF
9587rm -f conftest.$ac_objext
9588if { (ac_try="$ac_compile"
9589case "(($ac_try" in
9590 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9591 *) ac_try_echo=$ac_try;;
9592esac
9593eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9594 (eval "$ac_compile") 2>conftest.er1
9595 ac_status=$?
9596 grep -v '^ *+' conftest.er1 >conftest.err
9597 rm -f conftest.er1
9598 cat conftest.err >&5
9599 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9600 (exit $ac_status); } && {
9601 test -z "$ac_c_werror_flag" ||
9602 test ! -s conftest.err
9603 } && test -s conftest.$ac_objext; then
9604 ac_header_compiler=yes
9605else
9606 echo "$as_me: failed program was:" >&5
9607sed 's/^/| /' conftest.$ac_ext >&5
9608
9609 ac_header_compiler=no
9610fi
9611
9612rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9613{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9614echo "${ECHO_T}$ac_header_compiler" >&6; }
9615
9616# Is the header present?
9617{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
9618echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
9619cat >conftest.$ac_ext <<_ACEOF
9620/* confdefs.h. */
9621_ACEOF
9622cat confdefs.h >>conftest.$ac_ext
9623cat >>conftest.$ac_ext <<_ACEOF
9624/* end confdefs.h. */
9625#include <$ac_header>
9626_ACEOF
9627if { (ac_try="$ac_cpp conftest.$ac_ext"
9628case "(($ac_try" in
9629 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9630 *) ac_try_echo=$ac_try;;
9631esac
9632eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9633 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
9634 ac_status=$?
9635 grep -v '^ *+' conftest.er1 >conftest.err
9636 rm -f conftest.er1
9637 cat conftest.err >&5
9638 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9639 (exit $ac_status); } >/dev/null && {
9640 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
9641 test ! -s conftest.err
9642 }; then
9643 ac_header_preproc=yes
9644else
9645 echo "$as_me: failed program was:" >&5
9646sed 's/^/| /' conftest.$ac_ext >&5
9647
9648 ac_header_preproc=no
9649fi
9650
9651rm -f conftest.err conftest.$ac_ext
9652{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9653echo "${ECHO_T}$ac_header_preproc" >&6; }
9654
9655# So? What about this header?
9656case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
9657 yes:no: )
9658 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9659echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9660 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9661echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9662 ac_header_preproc=yes
9663 ;;
9664 no:yes:* )
9665 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9666echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9667 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
9668echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
9669 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9670echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9671 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
9672echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
9673 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9674echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9675 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9676echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9677
9678 ;;
9679esac
9680{ echo "$as_me:$LINENO: checking for $ac_header" >&5
9681echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9682if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9683 echo $ECHO_N "(cached) $ECHO_C" >&6
9684else
9685 eval "$as_ac_Header=\$ac_header_preproc"
9686fi
9687ac_res=`eval echo '${'$as_ac_Header'}'`
9688 { echo "$as_me:$LINENO: result: $ac_res" >&5
9689echo "${ECHO_T}$ac_res" >&6; }
9690
9691fi
9692if test `eval echo '${'$as_ac_Header'}'` = yes; then
9693 cat >>confdefs.h <<_ACEOF
9694#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9695_ACEOF
9696
9697fi
9698
9699done
9700
9701
9702
9703
9704
9705
9706
9707
9708for ac_func in inotify_init epoll_ctl kqueue port_create poll select
9709do
9710as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9711{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9712echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9713if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9714 echo $ECHO_N "(cached) $ECHO_C" >&6
9715else
9716 cat >conftest.$ac_ext <<_ACEOF
9717/* confdefs.h. */
9718_ACEOF
9719cat confdefs.h >>conftest.$ac_ext
9720cat >>conftest.$ac_ext <<_ACEOF
9721/* end confdefs.h. */
9722/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9723 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9724#define $ac_func innocuous_$ac_func
9725
9726/* System header to define __stub macros and hopefully few prototypes,
9727 which can conflict with char $ac_func (); below.
9728 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9729 <limits.h> exists even on freestanding compilers. */
9730
9731#ifdef __STDC__
9732# include <limits.h>
9733#else
9734# include <assert.h>
9735#endif
9736
9737#undef $ac_func
9738
9739/* Override any GCC internal prototype to avoid an error.
9740 Use char because int might match the return type of a GCC
9741 builtin and then its argument prototype would still apply. */
9742#ifdef __cplusplus
9743extern "C"
9744#endif
9745char $ac_func ();
9746/* The GNU C library defines this for functions which it implements
9747 to always fail with ENOSYS. Some functions are actually named
9748 something starting with __ and the normal name is an alias. */
9749#if defined __stub_$ac_func || defined __stub___$ac_func
9750choke me
9751#endif
9752
9753int
9754main ()
9755{
9756return $ac_func ();
9757 ;
9758 return 0;
9759}
9760_ACEOF
9761rm -f conftest.$ac_objext conftest$ac_exeext
9762if { (ac_try="$ac_link"
9763case "(($ac_try" in
9764 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9765 *) ac_try_echo=$ac_try;;
9766esac
9767eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9768 (eval "$ac_link") 2>conftest.er1
9769 ac_status=$?
9770 grep -v '^ *+' conftest.er1 >conftest.err
9771 rm -f conftest.er1
9772 cat conftest.err >&5
9773 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9774 (exit $ac_status); } && {
9775 test -z "$ac_c_werror_flag" ||
9776 test ! -s conftest.err
9777 } && test -s conftest$ac_exeext &&
9778 $as_test_x conftest$ac_exeext; then
9779 eval "$as_ac_var=yes"
9780else
9781 echo "$as_me: failed program was:" >&5
9782sed 's/^/| /' conftest.$ac_ext >&5
9783
9784 eval "$as_ac_var=no"
9785fi
9786
9787rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9788 conftest$ac_exeext conftest.$ac_ext
9789fi
9790ac_res=`eval echo '${'$as_ac_var'}'`
9791 { echo "$as_me:$LINENO: result: $ac_res" >&5
9792echo "${ECHO_T}$ac_res" >&6; }
9793if test `eval echo '${'$as_ac_var'}'` = yes; then
9794 cat >>confdefs.h <<_ACEOF
9795#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9796_ACEOF
9797
9798fi
9799done
9800
9801
9802{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
9803echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
9804if test "${ac_cv_func_clock_gettime+set}" = set; then
9805 echo $ECHO_N "(cached) $ECHO_C" >&6
9806else
9807 cat >conftest.$ac_ext <<_ACEOF
9808/* confdefs.h. */
9809_ACEOF
9810cat confdefs.h >>conftest.$ac_ext
9811cat >>conftest.$ac_ext <<_ACEOF
9812/* end confdefs.h. */
9813/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
9814 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9815#define clock_gettime innocuous_clock_gettime
9816
9817/* System header to define __stub macros and hopefully few prototypes,
9818 which can conflict with char clock_gettime (); below.
9819 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9820 <limits.h> exists even on freestanding compilers. */
9821
9822#ifdef __STDC__
9823# include <limits.h>
9824#else
9825# include <assert.h>
9826#endif
9827
9828#undef clock_gettime
9829
9830/* Override any GCC internal prototype to avoid an error.
9831 Use char because int might match the return type of a GCC
9832 builtin and then its argument prototype would still apply. */
9833#ifdef __cplusplus
9834extern "C"
9835#endif
9836char clock_gettime ();
9837/* The GNU C library defines this for functions which it implements
9838 to always fail with ENOSYS. Some functions are actually named
9839 something starting with __ and the normal name is an alias. */
9840#if defined __stub_clock_gettime || defined __stub___clock_gettime
9841choke me
9842#endif
9843
9844int
9845main ()
9846{
9847return clock_gettime ();
9848 ;
9849 return 0;
9850}
9851_ACEOF
9852rm -f conftest.$ac_objext conftest$ac_exeext
9853if { (ac_try="$ac_link"
9854case "(($ac_try" in
9855 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9856 *) ac_try_echo=$ac_try;;
9857esac
9858eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9859 (eval "$ac_link") 2>conftest.er1
9860 ac_status=$?
9861 grep -v '^ *+' conftest.er1 >conftest.err
9862 rm -f conftest.er1
9863 cat conftest.err >&5
9864 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9865 (exit $ac_status); } && {
9866 test -z "$ac_c_werror_flag" ||
9867 test ! -s conftest.err
9868 } && test -s conftest$ac_exeext &&
9869 $as_test_x conftest$ac_exeext; then
9870 ac_cv_func_clock_gettime=yes
9871else
9872 echo "$as_me: failed program was:" >&5
9873sed 's/^/| /' conftest.$ac_ext >&5
9874
9875 ac_cv_func_clock_gettime=no
9876fi
9877
9878rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9879 conftest$ac_exeext conftest.$ac_ext
9880fi
9881{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
9882echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9883if test $ac_cv_func_clock_gettime = yes; then
9884 :
9885else
9886
9887 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
9888
9889{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9890echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9891if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9892 echo $ECHO_N "(cached) $ECHO_C" >&6
9893else
9894 ac_check_lib_save_LIBS=$LIBS
9895LIBS="-lrt $LIBS"
9896cat >conftest.$ac_ext <<_ACEOF
9897/* confdefs.h. */
9898_ACEOF
9899cat confdefs.h >>conftest.$ac_ext
9900cat >>conftest.$ac_ext <<_ACEOF
9901/* end confdefs.h. */
9902
9903/* Override any GCC internal prototype to avoid an error.
9904 Use char because int might match the return type of a GCC
9905 builtin and then its argument prototype would still apply. */
9906#ifdef __cplusplus
9907extern "C"
9908#endif
9909char clock_gettime ();
9910int
9911main ()
9912{
9913return clock_gettime ();
9914 ;
9915 return 0;
9916}
9917_ACEOF
9918rm -f conftest.$ac_objext conftest$ac_exeext
9919if { (ac_try="$ac_link"
9920case "(($ac_try" in
9921 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9922 *) ac_try_echo=$ac_try;;
9923esac
9924eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9925 (eval "$ac_link") 2>conftest.er1
9926 ac_status=$?
9927 grep -v '^ *+' conftest.er1 >conftest.err
9928 rm -f conftest.er1
9929 cat conftest.err >&5
9930 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9931 (exit $ac_status); } && {
9932 test -z "$ac_c_werror_flag" ||
9933 test ! -s conftest.err
9934 } && test -s conftest$ac_exeext &&
9935 $as_test_x conftest$ac_exeext; then
9936 ac_cv_lib_rt_clock_gettime=yes
9937else
9938 echo "$as_me: failed program was:" >&5
9939sed 's/^/| /' conftest.$ac_ext >&5
9940
9941 ac_cv_lib_rt_clock_gettime=no
9942fi
9943
9944rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9945 conftest$ac_exeext conftest.$ac_ext
9946LIBS=$ac_check_lib_save_LIBS
9947fi
9948{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
9949echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
9950if test $ac_cv_lib_rt_clock_gettime = yes; then
9951 cat >>confdefs.h <<_ACEOF
9952#define HAVE_LIBRT 1
9953_ACEOF
9954
9955 LIBS="-lrt $LIBS"
9956
9957fi
9958
9959 unset ac_cv_func_clock_gettime
9960
9961for ac_func in clock_gettime
9962do
9963as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9964{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9965echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9966if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9967 echo $ECHO_N "(cached) $ECHO_C" >&6
9968else
9969 cat >conftest.$ac_ext <<_ACEOF
9970/* confdefs.h. */
9971_ACEOF
9972cat confdefs.h >>conftest.$ac_ext
9973cat >>conftest.$ac_ext <<_ACEOF
9974/* end confdefs.h. */
9975/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9976 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9977#define $ac_func innocuous_$ac_func
9978
9979/* System header to define __stub macros and hopefully few prototypes,
9980 which can conflict with char $ac_func (); below.
9981 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9982 <limits.h> exists even on freestanding compilers. */
9983
9984#ifdef __STDC__
9985# include <limits.h>
9986#else
9987# include <assert.h>
9988#endif
9989
9990#undef $ac_func
9991
9992/* Override any GCC internal prototype to avoid an error.
9993 Use char because int might match the return type of a GCC
9994 builtin and then its argument prototype would still apply. */
9995#ifdef __cplusplus
9996extern "C"
9997#endif
9998char $ac_func ();
9999/* The GNU C library defines this for functions which it implements
10000 to always fail with ENOSYS. Some functions are actually named
10001 something starting with __ and the normal name is an alias. */
10002#if defined __stub_$ac_func || defined __stub___$ac_func
10003choke me
10004#endif
10005
10006int
10007main ()
10008{
10009return $ac_func ();
10010 ;
10011 return 0;
10012}
10013_ACEOF
10014rm -f conftest.$ac_objext conftest$ac_exeext
10015if { (ac_try="$ac_link"
10016case "(($ac_try" in
10017 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10018 *) ac_try_echo=$ac_try;;
10019esac
10020eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10021 (eval "$ac_link") 2>conftest.er1
10022 ac_status=$?
10023 grep -v '^ *+' conftest.er1 >conftest.err
10024 rm -f conftest.er1
10025 cat conftest.err >&5
10026 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10027 (exit $ac_status); } && {
10028 test -z "$ac_c_werror_flag" ||
10029 test ! -s conftest.err
10030 } && test -s conftest$ac_exeext &&
10031 $as_test_x conftest$ac_exeext; then
10032 eval "$as_ac_var=yes"
10033else
10034 echo "$as_me: failed program was:" >&5
10035sed 's/^/| /' conftest.$ac_ext >&5
10036
10037 eval "$as_ac_var=no"
10038fi
10039
10040rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10041 conftest$ac_exeext conftest.$ac_ext
10042fi
10043ac_res=`eval echo '${'$as_ac_var'}'`
10044 { echo "$as_me:$LINENO: result: $ac_res" >&5
10045echo "${ECHO_T}$ac_res" >&6; }
10046if test `eval echo '${'$as_ac_var'}'` = yes; then
10047 cat >>confdefs.h <<_ACEOF
10048#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10049_ACEOF
10050
10051fi
10052done
10053
10054 fi
10055
10056fi
10057
10058
10059{ echo "$as_me:$LINENO: checking for nanosleep" >&5
10060echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6; }
10061if test "${ac_cv_func_nanosleep+set}" = set; then
10062 echo $ECHO_N "(cached) $ECHO_C" >&6
10063else
10064 cat >conftest.$ac_ext <<_ACEOF
10065/* confdefs.h. */
10066_ACEOF
10067cat confdefs.h >>conftest.$ac_ext
10068cat >>conftest.$ac_ext <<_ACEOF
10069/* end confdefs.h. */
10070/* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
10071 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10072#define nanosleep innocuous_nanosleep
10073
10074/* System header to define __stub macros and hopefully few prototypes,
10075 which can conflict with char nanosleep (); below.
10076 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10077 <limits.h> exists even on freestanding compilers. */
10078
10079#ifdef __STDC__
10080# include <limits.h>
10081#else
10082# include <assert.h>
10083#endif
10084
10085#undef nanosleep
10086
10087/* Override any GCC internal prototype to avoid an error.
10088 Use char because int might match the return type of a GCC
10089 builtin and then its argument prototype would still apply. */
10090#ifdef __cplusplus
10091extern "C"
10092#endif
10093char nanosleep ();
10094/* The GNU C library defines this for functions which it implements
10095 to always fail with ENOSYS. Some functions are actually named
10096 something starting with __ and the normal name is an alias. */
10097#if defined __stub_nanosleep || defined __stub___nanosleep
10098choke me
10099#endif
10100
10101int
10102main ()
10103{
10104return nanosleep ();
10105 ;
10106 return 0;
10107}
10108_ACEOF
10109rm -f conftest.$ac_objext conftest$ac_exeext
10110if { (ac_try="$ac_link"
10111case "(($ac_try" in
10112 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10113 *) ac_try_echo=$ac_try;;
10114esac
10115eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10116 (eval "$ac_link") 2>conftest.er1
10117 ac_status=$?
10118 grep -v '^ *+' conftest.er1 >conftest.err
10119 rm -f conftest.er1
10120 cat conftest.err >&5
10121 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10122 (exit $ac_status); } && {
10123 test -z "$ac_c_werror_flag" ||
10124 test ! -s conftest.err
10125 } && test -s conftest$ac_exeext &&
10126 $as_test_x conftest$ac_exeext; then
10127 ac_cv_func_nanosleep=yes
10128else
10129 echo "$as_me: failed program was:" >&5
10130sed 's/^/| /' conftest.$ac_ext >&5
10131
10132 ac_cv_func_nanosleep=no
10133fi
10134
10135rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10136 conftest$ac_exeext conftest.$ac_ext
10137fi
10138{ echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
10139echo "${ECHO_T}$ac_cv_func_nanosleep" >&6; }
10140if test $ac_cv_func_nanosleep = yes; then
10141 :
10142else
10143
10144 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
10145
10146{ echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
10147echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6; }
10148if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
10149 echo $ECHO_N "(cached) $ECHO_C" >&6
10150else
10151 ac_check_lib_save_LIBS=$LIBS
10152LIBS="-lrt $LIBS"
10153cat >conftest.$ac_ext <<_ACEOF
10154/* confdefs.h. */
10155_ACEOF
10156cat confdefs.h >>conftest.$ac_ext
10157cat >>conftest.$ac_ext <<_ACEOF
10158/* end confdefs.h. */
10159
10160/* Override any GCC internal prototype to avoid an error.
10161 Use char because int might match the return type of a GCC
10162 builtin and then its argument prototype would still apply. */
10163#ifdef __cplusplus
10164extern "C"
10165#endif
10166char nanosleep ();
10167int
10168main ()
10169{
10170return nanosleep ();
10171 ;
10172 return 0;
10173}
10174_ACEOF
10175rm -f conftest.$ac_objext conftest$ac_exeext
10176if { (ac_try="$ac_link"
10177case "(($ac_try" in
10178 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10179 *) ac_try_echo=$ac_try;;
10180esac
10181eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10182 (eval "$ac_link") 2>conftest.er1
10183 ac_status=$?
10184 grep -v '^ *+' conftest.er1 >conftest.err
10185 rm -f conftest.er1
10186 cat conftest.err >&5
10187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10188 (exit $ac_status); } && {
10189 test -z "$ac_c_werror_flag" ||
10190 test ! -s conftest.err
10191 } && test -s conftest$ac_exeext &&
10192 $as_test_x conftest$ac_exeext; then
10193 ac_cv_lib_rt_nanosleep=yes
10194else
10195 echo "$as_me: failed program was:" >&5
10196sed 's/^/| /' conftest.$ac_ext >&5
10197
10198 ac_cv_lib_rt_nanosleep=no
10199fi
10200
10201rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10202 conftest$ac_exeext conftest.$ac_ext
10203LIBS=$ac_check_lib_save_LIBS
10204fi
10205{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
10206echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6; }
10207if test $ac_cv_lib_rt_nanosleep = yes; then
10208 cat >>confdefs.h <<_ACEOF
10209#define HAVE_LIBRT 1
10210_ACEOF
10211
10212 LIBS="-lrt $LIBS"
10213
10214fi
10215
10216 unset ac_cv_func_nanosleep
10217
10218for ac_func in nanosleep
10219do
10220as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10221{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10222echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
10223if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
10224 echo $ECHO_N "(cached) $ECHO_C" >&6
10225else
10226 cat >conftest.$ac_ext <<_ACEOF
10227/* confdefs.h. */
10228_ACEOF
10229cat confdefs.h >>conftest.$ac_ext
10230cat >>conftest.$ac_ext <<_ACEOF
10231/* end confdefs.h. */
10232/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10233 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10234#define $ac_func innocuous_$ac_func
10235
10236/* System header to define __stub macros and hopefully few prototypes,
10237 which can conflict with char $ac_func (); below.
10238 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10239 <limits.h> exists even on freestanding compilers. */
10240
10241#ifdef __STDC__
10242# include <limits.h>
10243#else
10244# include <assert.h>
10245#endif
10246
10247#undef $ac_func
10248
10249/* Override any GCC internal prototype to avoid an error.
10250 Use char because int might match the return type of a GCC
10251 builtin and then its argument prototype would still apply. */
10252#ifdef __cplusplus
10253extern "C"
10254#endif
10255char $ac_func ();
10256/* The GNU C library defines this for functions which it implements
10257 to always fail with ENOSYS. Some functions are actually named
10258 something starting with __ and the normal name is an alias. */
10259#if defined __stub_$ac_func || defined __stub___$ac_func
10260choke me
10261#endif
10262
10263int
10264main ()
10265{
10266return $ac_func ();
10267 ;
10268 return 0;
10269}
10270_ACEOF
10271rm -f conftest.$ac_objext conftest$ac_exeext
10272if { (ac_try="$ac_link"
10273case "(($ac_try" in
10274 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10275 *) ac_try_echo=$ac_try;;
10276esac
10277eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10278 (eval "$ac_link") 2>conftest.er1
10279 ac_status=$?
10280 grep -v '^ *+' conftest.er1 >conftest.err
10281 rm -f conftest.er1
10282 cat conftest.err >&5
10283 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10284 (exit $ac_status); } && {
10285 test -z "$ac_c_werror_flag" ||
10286 test ! -s conftest.err
10287 } && test -s conftest$ac_exeext &&
10288 $as_test_x conftest$ac_exeext; then
10289 eval "$as_ac_var=yes"
10290else
10291 echo "$as_me: failed program was:" >&5
10292sed 's/^/| /' conftest.$ac_ext >&5
10293
10294 eval "$as_ac_var=no"
10295fi
10296
10297rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10298 conftest$ac_exeext conftest.$ac_ext
10299fi
10300ac_res=`eval echo '${'$as_ac_var'}'`
10301 { echo "$as_me:$LINENO: result: $ac_res" >&5
10302echo "${ECHO_T}$ac_res" >&6; }
10303if test `eval echo '${'$as_ac_var'}'` = yes; then
10304 cat >>confdefs.h <<_ACEOF
10305#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10306_ACEOF
10307
10308fi
10309done
10310
10311 fi
10312
10313fi
10314
10315
10316
10317{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
10318echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
10319if test "${ac_cv_lib_m_ceil+set}" = set; then
10320 echo $ECHO_N "(cached) $ECHO_C" >&6
10321else
10322 ac_check_lib_save_LIBS=$LIBS
10323LIBS="-lm $LIBS"
10324cat >conftest.$ac_ext <<_ACEOF
10325/* confdefs.h. */
10326_ACEOF
10327cat confdefs.h >>conftest.$ac_ext
10328cat >>conftest.$ac_ext <<_ACEOF
10329/* end confdefs.h. */
10330
10331/* Override any GCC internal prototype to avoid an error.
10332 Use char because int might match the return type of a GCC
10333 builtin and then its argument prototype would still apply. */
10334#ifdef __cplusplus
10335extern "C"
10336#endif
10337char ceil ();
10338int
10339main ()
10340{
10341return ceil ();
10342 ;
10343 return 0;
10344}
10345_ACEOF
10346rm -f conftest.$ac_objext conftest$ac_exeext
10347if { (ac_try="$ac_link"
10348case "(($ac_try" in
10349 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10350 *) ac_try_echo=$ac_try;;
10351esac
10352eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10353 (eval "$ac_link") 2>conftest.er1
10354 ac_status=$?
10355 grep -v '^ *+' conftest.er1 >conftest.err
10356 rm -f conftest.er1
10357 cat conftest.err >&5
10358 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10359 (exit $ac_status); } && {
10360 test -z "$ac_c_werror_flag" ||
10361 test ! -s conftest.err
10362 } && test -s conftest$ac_exeext &&
10363 $as_test_x conftest$ac_exeext; then
10364 ac_cv_lib_m_ceil=yes
10365else
10366 echo "$as_me: failed program was:" >&5
10367sed 's/^/| /' conftest.$ac_ext >&5
10368
10369 ac_cv_lib_m_ceil=no
10370fi
10371
10372rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10373 conftest$ac_exeext conftest.$ac_ext
10374LIBS=$ac_check_lib_save_LIBS
10375fi
10376{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
10377echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
10378if test $ac_cv_lib_m_ceil = yes; then
10379 cat >>confdefs.h <<_ACEOF
10380#define HAVE_LIBM 1
10381_ACEOF
10382
10383 LIBS="-lm $LIBS"
10384
10385fi
10386
10387
10388
10389
9551 10390
9552 10391
9553ac_ext=cpp 10392ac_ext=cpp
9554ac_cpp='$CXXCPP $CPPFLAGS' 10393ac_cpp='$CXXCPP $CPPFLAGS'
9555ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 10394ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
10648 11487
10649if $CXX -v --help 2>&1 | grep -q fno-rtti; then 11488if $CXX -v --help 2>&1 | grep -q fno-rtti; then
10650 CXXFLAGS="$CXXFLAGS -fno-rtti" 11489 CXXFLAGS="$CXXFLAGS -fno-rtti"
10651fi 11490fi
10652 11491
10653if $CXX -v --help 2>&1 | grep -q fexceptions; then 11492#if $CXX -v --help 2>&1 | grep -q fexceptions; then
10654 CXXFLAGS="$CXXFLAGS -fno-exceptions" 11493# CXXFLAGS="$CXXFLAGS -fno-exceptions"
10655fi 11494#fi
11495
11496LIBS="$EXTRA_LIBS $LIBS"
10656 11497
10657 11498
10658 11499
10659 11500
10660ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 11501ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines